# Installing LED Effects Software

### ※Automatic installation

The module can be installed into a existing Klipper installation with an install script.

```
cd ~
git clone https://github.com/julianschill/klipper-led_effect.git
cd klipper-led_effect
./install-led_effect.sh
```

For users in mainland China, you can use the following command:

```
cd ~
git clone https://gitee.com/ruchi/klipper-led_effect.git
cd klipper-led_effect
./install-led_effect.sh
```

If your directory structure differs from the usual setup you can configure the installation script with parameters:

```
./install-led_effect.sh [-k <klipper path>] [-s <klipper service name>] [-c <configuration path>]
```

### ※Manual installation

Clone the repository:

```
cd ~
git clone https://github.com/julianschill/klipper-led_effect.git
```

Stop Klipper:

```
systemctl stop klipper
```

Link the file in the Klipper directory (adjust the paths as needed):

```
ln -s klipper-led_effect/led_effect.py ~/klipper/klippy/extras/led_effect.py
```

Start Klipper:

```
systemctl start klipper
```

Add the updater section to moonraker.conf and restart moonraker to receive updates:

```
[update_manager led_effect]
type: git_repo
path: ~/klipper-led_effect
origin: https://github.com/julianschill/klipper-led_effect.git
is_system_service: False
```

### ※How do I uninstall?

Remove all led\_effect definitions in your Klipper configuration and the updater section in the Moonraker configuration. Then run the script to remove the link:

```
cd ~
cd klipper-led_effect
./install-led_effect.sh -u
```

If your directory structure differs from the usual setup you can configure the installation script with parameters:

```
./install-led_effect.sh -u [-k <klipper path>] [-s <klipper service name>] [-c <configuration path>]
```

If that fails, you can delete the link in Klipper manually:

```
rm ~/klipper/klippy/extras/led_effect.py
```

Delete the repository (optional):

```
cd ~
rm -rf klipper-led_effect
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.siboor.com/other-products/led-effect-notes/installing-led-effects-software.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
